[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFPList.Delete

Removes a pointer from the list.

## Declaration

Source position: classesh.inc line 250

`public procedure TFPList.Delete(`
`Index: Integer`
`);`

## Description

Delete removes the pointer at position Index from the list, shifting all following pointers one position up (or to the left).

The memory the pointer is pointing to is not deallocated.

Documentation generated on: Feb 26 2014